import pdb
import signal
import inspect
import random
import gc
try:
    import objgraph
except ImportError:
    objgraph = None

def signal_handler(signal, frame):
    gc.collect()
    if objgraph:
        o = objgraph
        def chain(what):
            o.show_chain(o.find_backref_chain(
                random.choice(o.by_type(what)),
                inspect.ismodule))
        leaks = o.show_growth
    pdb.set_trace()

def setup():
    signal.signal(signal.SIGINT, signal_handler)

# This file is subject to the terms and conditions defined in
# file 'LICENSE.txt', which is part of this source code package.
#
# Copyright (C) 2015 bitbone AG
