import unittest
from bitbone.utils import getgrouplist

class Test(unittest.TestCase):
    def test_root_gids(self):
        gids = getgrouplist("root", 0)
        self.failUnless(len(gids) >= 1, "number of gids should be >= 2")
        self.failUnless(0 in gids, "0 should be in the gid list")
# This file is subject to the terms and conditions defined in
# file 'LICENSE.txt', which is part of this source code package.
#
# Copyright (C) 2015 bitbone AG
