import codecs

def alias(existing, alias):
    old = codecs.lookup(existing)
    new = codecs.CodecInfo(old.encode, old.decode,
                           streamreader=old.streamreader,
                           streamwriter=old.streamwriter,
                           incrementalencoder=old.incrementalencoder,
                           incrementaldecoder=old.incrementaldecoder,
                           name=alias)
    def searcher(wanted):
        if wanted == alias:
            return new
        else:
            return None
    codecs.register(searcher)

alias('cp874', 'windows-874')
