import os

def find_file(candidates, default=None):
    """
    find_file returns the first file path from the
    given candidate list which exists and is an ordinary file.

    @param list candidates [".local-example", "/etc/global-example"]
    @param bool default
    """
    for name in candidates:
        if os.path.isfile(name):
            return name

    return default
